DeleteDataTableRows
POST
/api/v1/t/{tenant}/data-tables/{tableKey}/rows/delete
const url = 'https://example.com/api/v1/t/example/data-tables/example/rows/delete';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"keys":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/t/example/data-tables/example/rows/delete \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "keys": [ "example" ] }'Authorizations
Abschnitt betitelt „Authorizations“Parameters
Abschnitt betitelt „ Parameters “Path Parameters
Abschnitt betitelt „Path Parameters“tenant
required
string
Tenant slug
tableKey
required
string
Header Parameters
Abschnitt betitelt „Header Parameters“Idempotency-Key
string
Required of an API key, optional for a session: at most 128 printable ASCII characters. A repeat within 24 hours with the same table and body answers the first result and writes nothing; with another, 409 idempotency-key-reused; while the first is still being written, 409 idempotency-key-in-flight.
Request Bodyrequired
Abschnitt betitelt „Request Bodyrequired“Media typeapplication/json
object
keys
required
Array<string>
Examplegenerated
{ "keys": [ "example" ]}Responses
Abschnitt betitelt „ Responses “OK
Media typeapplication/json
object
inserted
required
integer format: int32
updated
required
integer format: int32
deleted
required
integer format: int32
Examplegenerated
{ "inserted": 1, "updated": 1, "deleted": 1}Bad Request
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Forbidden
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
Conflict
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Payload Too Large
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Unsupported Media Type
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Too Many Requests
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Service Unavailable
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}